Subject: [Masque] FW: New Version Notification for draft-kuehlewind-masque-connect-ip-00.txt

From: Mirja Kuehlewind <[email-masked]>
Date: Mon, 2 Nov 2020 19:26:17 +0000

Hi all,

we have submitted a new draft on CONNECT-IP. The intention of this document is to provide a concrete proposal in the hope that it will support the discussion about requirements by establishing a common understanding of potential solutions.

Further, we would like to note that this proposal has a lot of overlap with CONNECT-UDP (or actually also addresses a couple of things that  probably need further clarification for CONNECT-UDP). We hope that this also helps as input on any consideration about how to structure the documents we are working on in this group. Given there are many similarity we could e.g. consider some kind of base framework document or we could even discuss if these should be different method at all. I'm not making any concrete proposal here right now, but I believe we need to have some more discussion about the desired structure of documents in the group.

Mirja

On 02.11.20, 20:17, "[email-masked]" <[email-masked]> wrote:

    A new version of I-D, draft-kuehlewind-masque-connect-ip-00.txt
    has been successfully submitted by =?utf-8?q?Mirja_K=C3=BChlewind?= and posted to the
    IETF repository.

    Name:		draft-kuehlewind-masque-connect-ip
    Revision:	00
    Title:		The CONNECT-IP method for proxying IP traffic
    Document date:	2020-11-02
    Group:		Individual Submission
    Pages:		16
    URL:            https://www.ietf.org/archive/id/draft-kuehlewind-masque-connect-ip-00.txt
    Status:         https://datatracker.ietf.org/doc/draft-kuehlewind-masque-connect-ip/
    Html:           https://www.ietf.org/archive/id/draft-kuehlewind-masque-connect-ip-00.html
    Htmlized:       https://tools.ietf.org/html/draft-kuehlewind-masque-connect-ip-00

    Abstract:
       This draft specifies a new HTTP/3 method CONNECT-IP to proxy IP
       traffic.  CONNECT-IP can be used to convert a QUIC stream into a
       tunnel or initialise an HTTP datagram flow to a forwarding proxy.
       Each stream or HTTP datagram flow can be used separately to establish
       forwarding of an IP flow to potentially different remote hosts.  To
       request forwarding, a client connects to a proxy server by initiating
       a HTTP/3 connection and sends a CONNECT-IP indicating the address of
       the target server.  The proxy server then forwards payload received
       on that stream or in an HTTP datagram with a certain flow ID to the
       target server after adding an IP header to each of the frames
       received.

    Please note that it may take a couple of minutes from the time of submission
    until the htmlized version and diff are available at tools.ietf.org.

    The IETF Secretariat